@use "../../../styles/mixins";
@use "../../../styles/screens";
@use "../../../styles/typography";
@use "../../../styles/variables";


.content {
    margin: 15px;
}
progress::-webkit-progress-value {background-color: variables.$purple !important;}
progress::-webkit-progress-bar {background-color: variables.$purpleLigth}

.card {
    width: 80%;
    margin: 30px auto;
    border-radius: 10px;
    border: 2px solid #DAD0FF;
    padding: 20px;
    display: grid;
    grid-template-columns: repeat(1, 1fr);
    grid-template-rows: repeat(4, 1fr);
    grid-row-gap: 20px;
    text-align: center;
}
@include screens.laptop {
    .card {
        grid-template-columns: repeat(2, 1fr);
        grid-template-rows: repeat(2, 1fr);
        text-align:initial;
    }
}
.title {
    font-family: Inter, sans-serif;
    font-weight: 700;
    font-size: 2rem;

    @include screens.laptop {
        width: fit-content;
        margin: auto;
    }
}

.subtitle {
   margin-bottom: 15px;
    margin-top: 15px;
    @include screens.laptop {
        font-size: 20px;
    }
}

.avis {
    margin-bottom: 15px;
 }

.infoContent {
    display: flex;
    justify-content: space-around;
}

.stat {
    display: flex;
    gap: 16px;
}

.likes {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    gap: 8px;
}

.progress {
    display: flex;
    align-items: center;
    justify-content: space-between;
    progress {
        width: 80%;
    }

    p {
        margin: 0;
    }
}